Version 1 (modified by aydan, 11 years ago)

--

This page describes how to setup an eclipse development environment to be used with the Orca project.

1. Download and install Eclipse from http://www.eclipse.org/downloads/. You can choose either Eclipse IDE for Java EE Developers or Eclipse IDE for Java Developers.

2. In addition to the standard Eclipse installation you will need the following eclipse plugins:

  • Subclipse (http://subclipse.tigris.org/). This plugin integrates subversion source control into eclipse. Make sure you choose a version compatible with your subversion command line client. Version 1.4.* uses subversion 1.5.* file formats and is incompatible with subversion 1.4.* file formats. Version 1.0.* work only with subversion 1.4.*. Be careful, which version you end up installing, since version incompatibility can cause a lot of headaches later.
  • m2eclipse (http://m2eclipse.codehaus.org/). This plugin integrates maven into eclipse.